package com.red.circle.console.app.service.app.sys;


/**
 * 系统推送服务.
 *
 * @author pengliang
 * @since 2020/3/6 15:53
 */
public interface SysPushService {
  /*
   *//**
   * 创建推送.
   *//*
  void create(CreateRecordCmd createRecordParam);

  *//**
   * 获取push日志分页列表
   *//*
  PageResult<SysPushRecordLogCO> pageLogs(SysPushRecordLogQryCmd query);

  *//**
   * 定时推送任务分页列表
   *//*
  PageResult<SysPushTaskCO> pageTask(SysPushTaskQryCmd query);

  *//**
   * 保存推送任务
   *//*
  void saveTask(SysPushTaskCmd param);

  *//**
   * 删除任务
   *//*
  void deletePushTask(Long id);*/
}
